org.jboss.resteasy.util

## Class WeightedMediaType

- java.lang.Object
- - javax.ws.rs.core.MediaType
  - - org.jboss.resteasy.util.WeightedMediaType

- All Implemented Interfaces:
    Comparable<WeightedMediaType>

      public class WeightedMediaType
      extends MediaType
      implements Comparable<WeightedMediaType>

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    - ### Fields inherited from class javax.ws.rs.core.MediaType

      `APPLICATION_ATOM_XML, APPLICATION_ATOM_XML_TYPE, APPLICATION_FORM_URLENCODED, APPLICATION_FORM_URLENCODED_TYPE, APPLICATION_JSON, APPLICATION_JSON_TYPE, APPLICATION_OCTET_STREAM, APPLICATION_OCTET_STREAM_TYPE, APPLICATION_SVG_XML, APPLICATION_SVG_XML_TYPE, APPLICATION_XHTML_XML, APPLICATION_XHTML_XML_TYPE, APPLICATION_XML, APPLICATION_XML_TYPE, CHARSET_PARAMETER, MEDIA_TYPE_WILDCARD, MULTIPART_FORM_DATA, MULTIPART_FORM_DATA_TYPE, TEXT_HTML, TEXT_HTML_TYPE, TEXT_PLAIN, TEXT_PLAIN_TYPE, TEXT_XML, TEXT_XML_TYPE, WILDCARD, WILDCARD_TYPE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(WeightedMediaType o)`
    `boolean` | `equals(Object obj)` Compares `obj` to this media type to see if they are the same by comparing type, subtype and parameters.
    `float` | `getWeight()`
    `boolean` | `isCompatible(MediaType other)` Non-equal properties should not be compatible
    `static WeightedMediaType` | `parse(MediaType tmp)`
    `static WeightedMediaType` | `valueOf(String type)`

    - ### Methods inherited from class javax.ws.rs.core.MediaType

      `getParameters, getSubtype, getType, hashCode, isWildcardSubtype, isWildcardType, toString, withCharset`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getWeight

          public float getWeight()

    - #### compareTo

          public int compareTo(WeightedMediaType o)

      Specified by:
        `compareTo` in interface `Comparable<WeightedMediaType>`

    - #### isCompatible

          public boolean isCompatible(MediaType other)

      Non-equal properties should not be compatible
      Overrides:
        `isCompatible` in class `MediaType`
      Parameters:
        `other` - the media type to compare with.
      Returns:
        true if the types are compatible, false otherwise.

    - #### valueOf

          public static WeightedMediaType valueOf(String type)

    - #### parse

          public static WeightedMediaType parse(MediaType tmp)

    - #### equals

          public boolean equals(Object obj)

      Description copied from class: `MediaType`
      Compares `obj` to this media type to see if they are the same by comparing type, subtype and parameters. Note that the case-sensitivity of parameter values is dependent on the semantics of the parameter name, see HTTP/1.1. This method assumes that values are case-sensitive.

      Note that the `equals(...)` implementation does not perform a class equality check (`this.getClass() == obj.getClass()`). Therefore any class that extends from `MediaType` class and needs to override one of the `equals(...)` and `MediaType.hashCode()` methods must always override both methods to ensure the contract between `Object.equals(java.lang.Object)` and `Object.hashCode()` does not break.
      Overrides:
        `equals` in class `MediaType`
      Parameters:
        `obj` - the object to compare to.
      Returns:
        true if the two media types are the same, false otherwise.

Copyright © 2014. All Rights Reserved.